# Delete AccountPlan

## cURL

```bash
curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/accountplans/{id} \
  --header 'Authorization: Bearer <token>'
```

## Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/accountplans/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## JavaScript (Fetch API)

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/accountplans/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

## PHP

```php


```

## Response Codes

- **200**: The deleted AccountPlan or AccountPlanGroup
- **4XX**: Client Error
- **5XX**: Server Error

## JSON Response Example

### Success Response
```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "accountId": "<string>",
  "productId": "<string>",
  "planId": "<string>",
  "planGroupId": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "billEpoch": "2023-12-25",
  "contractId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

### Error Response
```json
{
  "message": "<string>"
}
```

## Authorizations
**Authorization**: string, required, in header. 
- m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
